Package com.ocient.jdbc.proto

# Class PlanProtocol.ExecutionClusters.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>
com.ocient.jdbc.proto.PlanProtocol.ExecutionClusters.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ExecutionClustersOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ExecutionClusters

    public static final class PlanProtocol.ExecutionClusters.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>
    implements PlanProtocol.ExecutionClustersOrBuilder

    a set of vm execution clusters

Protobuf type `xg.db.sqlPlans.ExecutionClusters`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.ExecutionClusters.Builder` | `addAllExecutionClusters​(Iterable<? extends PlanProtocol.ExecutionCluster> values)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `addExecutionClusters​(int index, PlanProtocol.ExecutionCluster value)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `addExecutionClusters​(int index, PlanProtocol.ExecutionCluster.Builder builderForValue)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `addExecutionClusters​(PlanProtocol.ExecutionCluster value)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `addExecutionClusters​(PlanProtocol.ExecutionCluster.Builder builderForValue)` | the level at which this configuration applies
`PlanProtocol.ExecutionCluster.Builder` | `addExecutionClustersBuilder()` | the level at which this configuration applies
`PlanProtocol.ExecutionCluster.Builder` | `addExecutionClustersBuilder​(int index)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ExecutionClusters` | `build()` |
`PlanProtocol.ExecutionClusters` | `buildPartial()` |
`PlanProtocol.ExecutionClusters.Builder` | `clear()` |
`PlanProtocol.ExecutionClusters.Builder` | `clearExecutionClusters()` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.ExecutionClusters.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.ExecutionClusters.Builder` | `clone()` |
`PlanProtocol.ExecutionClusters` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`PlanProtocol.ExecutionCluster` | `getExecutionClusters​(int index)` | the level at which this configuration applies
`PlanProtocol.ExecutionCluster.Builder` | `getExecutionClustersBuilder​(int index)` | the level at which this configuration applies
`List<PlanProtocol.ExecutionCluster.Builder>` | `getExecutionClustersBuilderList()` | the level at which this configuration applies
`int` | `getExecutionClustersCount()` | the level at which this configuration applies
`List<PlanProtocol.ExecutionCluster>` | `getExecutionClustersList()` | the level at which this configuration applies
`PlanProtocol.ExecutionClusterOrBuilder` | `getExecutionClustersOrBuilder​(int index)` | the level at which this configuration applies
`List<? extends PlanProtocol.ExecutionClusterOrBuilder>` | `getExecutionClustersOrBuilderList()` | the level at which this configuration applies
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.ExecutionClusters.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.ExecutionClusters.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.ExecutionClusters.Builder` | `mergeFrom​(PlanProtocol.ExecutionClusters other)` |
`PlanProtocol.ExecutionClusters.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.ExecutionClusters.Builder` | `removeExecutionClusters​(int index)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `setExecutionClusters​(int index, PlanProtocol.ExecutionCluster value)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `setExecutionClusters​(int index, PlanProtocol.ExecutionCluster.Builder builderForValue)` | the level at which this configuration applies
`PlanProtocol.ExecutionClusters.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ExecutionClusters.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.ExecutionClusters.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### clear

public PlanProtocol.ExecutionClusters.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### getDefaultInstanceForType

public PlanProtocol.ExecutionClusters getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.ExecutionClusters build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.ExecutionClusters buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.ExecutionClusters.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### setField

public PlanProtocol.ExecutionClusters.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### clearField

public PlanProtocol.ExecutionClusters.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### clearOneof

public PlanProtocol.ExecutionClusters.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### setRepeatedField

public PlanProtocol.ExecutionClusters.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### addRepeatedField

public PlanProtocol.ExecutionClusters.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### mergeFrom

public PlanProtocol.ExecutionClusters.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExecutionClusters.Builder>`

### mergeFrom

public PlanProtocol.ExecutionClusters.Builder mergeFrom​(PlanProtocol.ExecutionClusters other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### mergeFrom

public PlanProtocol.ExecutionClusters.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExecutionClusters.Builder>`
Throws:
  `IOException`

### getExecutionClustersList

public List<PlanProtocol.ExecutionCluster> getExecutionClustersList()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

Specified by:
  `getExecutionClustersList` in interface `PlanProtocol.ExecutionClustersOrBuilder`

### getExecutionClustersCount

public int getExecutionClustersCount()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

Specified by:
  `getExecutionClustersCount` in interface `PlanProtocol.ExecutionClustersOrBuilder`

### getExecutionClusters

public PlanProtocol.ExecutionCluster getExecutionClusters​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

Specified by:
  `getExecutionClusters` in interface `PlanProtocol.ExecutionClustersOrBuilder`

### setExecutionClusters

public PlanProtocol.ExecutionClusters.Builder setExecutionClusters​(int index, PlanProtocol.ExecutionCluster value)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### setExecutionClusters

public PlanProtocol.ExecutionClusters.Builder setExecutionClusters​(int index, PlanProtocol.ExecutionCluster.Builder builderForValue)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addExecutionClusters

public PlanProtocol.ExecutionClusters.Builder addExecutionClusters​(PlanProtocol.ExecutionCluster value)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addExecutionClusters

public PlanProtocol.ExecutionClusters.Builder addExecutionClusters​(int index, PlanProtocol.ExecutionCluster value)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addExecutionClusters

public PlanProtocol.ExecutionClusters.Builder addExecutionClusters​(PlanProtocol.ExecutionCluster.Builder builderForValue)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addExecutionClusters

public PlanProtocol.ExecutionClusters.Builder addExecutionClusters​(int index, PlanProtocol.ExecutionCluster.Builder builderForValue)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addAllExecutionClusters

public PlanProtocol.ExecutionClusters.Builder addAllExecutionClusters​(Iterable<? extends PlanProtocol.ExecutionCluster> values)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### clearExecutionClusters

public PlanProtocol.ExecutionClusters.Builder clearExecutionClusters()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### removeExecutionClusters

public PlanProtocol.ExecutionClusters.Builder removeExecutionClusters​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersBuilder

public PlanProtocol.ExecutionCluster.Builder getExecutionClustersBuilder​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersOrBuilder

public PlanProtocol.ExecutionClusterOrBuilder getExecutionClustersOrBuilder​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

Specified by:
  `getExecutionClustersOrBuilder` in interface `PlanProtocol.ExecutionClustersOrBuilder`

### getExecutionClustersOrBuilderList

public List<? extends PlanProtocol.ExecutionClusterOrBuilder> getExecutionClustersOrBuilderList()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

Specified by:
  `getExecutionClustersOrBuilderList` in interface `PlanProtocol.ExecutionClustersOrBuilder`

### addExecutionClustersBuilder

public PlanProtocol.ExecutionCluster.Builder addExecutionClustersBuilder()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### addExecutionClustersBuilder

public PlanProtocol.ExecutionCluster.Builder addExecutionClustersBuilder​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersBuilderList

public List<PlanProtocol.ExecutionCluster.Builder> getExecutionClustersBuilderList()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### setUnknownFields

public final PlanProtocol.ExecutionClusters.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`

### mergeUnknownFields

public final PlanProtocol.ExecutionClusters.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionClusters.Builder>`